package com.sun.org.apache.xerces.internal.xni;

import com.sun.org.apache.xerces.internal.xni.parser.XMLDTDContentModelSource;

public interface XMLDTDContentModelHandler
{
    public static final short SEPARATOR_CHOICE = 0;
    public static final short SEPARATOR_SEQUENCE = 1;
    public static final short OCCURS_ZERO_OR_ONE = 2;
    public static final short OCCURS_ZERO_OR_MORE = 3;
    public static final short OCCURS_ONE_OR_MORE = 4;
    
    public abstract void startContentModel(String p0, Augmentations p1) throws XNIException;
    
    public abstract void any(Augmentations p0) throws XNIException;
    
    public abstract void empty(Augmentations p0) throws XNIException;
    
    public abstract void startGroup(Augmentations p0) throws XNIException;
    
    public abstract void pcdata(Augmentations p0) throws XNIException;
    
    public abstract void element(String p0, Augmentations p1) throws XNIException;
    
    public abstract void separator(short p0, Augmentations p1) throws XNIException;
    
    public abstract void occurrence(short p0, Augmentations p1) throws XNIException;
    
    public abstract void endGroup(Augmentations p0) throws XNIException;
    
    public abstract void endContentModel(Augmentations p0) throws XNIException;
    
    public abstract void setDTDContentModelSource(XMLDTDContentModelSource p0);
    
    public abstract XMLDTDContentModelSource getDTDContentModelSource();
}
